[Dojo-interest] supported browsers

Alex Russell alex at dojotoolkit.org
Fri May 27 11:54:09 PDT 2005


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Friday 27 May 2005 5:37 am, Sanjiv Jivan wrote:
> Hi,
> Is there a list of supported browsers for DOJO?

No, but we should probably start a list like that in the wiki 
(dojo.jot.com).

That said, we should bootstrap and render widgets on the following 
browsers today:

	IE >= 5.5
	Mozilla >= 1.4 (including Firefox)
	Opera 8
	Safari 1.3
	Konqueror (KDE 3.4)

IE 5.x on the mac simply can't be supported since it's JavaScript 
interpreter is serverly broken. Obviously, some capabilities are 
available on some browsers and not others, and Dojo's core is designed 
to run in non-browser environments as well. 

As we build out widgets, some might have additional compatibility 
constraints and as a project we should probably come up with some way 
to document these.

Hope that helps.

Regards

- -- 
Alex Russell
alex at dojotoolkit.org BE03 E88D EABB 2116 CC49 8259 CF78 E242 59C3 9723
alex at netWindows.org  F687 1964 1EF6 453E 9BD0 5148 A15D 1D43 AB92 9A46
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (Darwin)

iD8DBQFCl2zSz3jiQlnDlyMRAoTHAJ0QGZW4z4LQVpgnBPHUrEGl/KN0hwCgvHzw
gXkIqwGFmzf8o7cqfuT4mVw=
=2Gxa
-----END PGP SIGNATURE-----



More information about the Dojo-interest mailing list